services:

    chill.report.timeline:
        class: Chill\ReportBundle\Timeline\TimelineReportProvider
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@chill.main.security.authorization.helper'
            - '@Symfony\Bundle\SecurityBundle\Security'
            - '@chill.custom_field.helper'
            - '%chill_custom_fields.show_empty_values%'
        tags:
            - { name: chill.timeline, context: 'person' }
            - { name: chill.timeline, context: 'center' }

    chill.report.security.authorization.report_voter:
        class: Chill\ReportBundle\Security\Authorization\ReportVoter
        arguments:
            - "@chill.main.security.authorization.helper"
        tags:
            - { name: security.voter }
            - { name: chill.role }

    chill.report.form.report_type:
        class: Chill\ReportBundle\Form\ReportType
        arguments:
            - "@chill.main.security.authorization.helper"
            - "@security.token_storage"
            - "@chill.main.helper.translatable_string"
            - "@doctrine.orm.entity_manager"
        tags:
            - { name: form.type, alias: chill_reportbundle_report }

